Skip to main content
GET
/
league-info
Get league information
curl --request GET \
  --url https://api-v2.polyrouter.io/league-info \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api-v2.polyrouter.io/league-info"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-v2.polyrouter.io/league-info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api-v2.polyrouter.io/league-info"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "data": {
    "id": "nfl",
    "name": "National Football League",
    "abbreviation": "NFL",
    "sport": "Football",
    "season": {
      "year": 2024,
      "start_date": "2024-09-05",
      "end_date": "2025-02-09"
    },
    "endpoints": {
      "awards": true,
      "futures": true,
      "games": true,
      "list_games": true,
      "list_awards": true,
      "list_futures": true
    },
    "counts": {
      "teams": 32,
      "awards": 10,
      "futures": 15
    },
    "status": "operational",
    "teams": [
      {
        "polyrouter_id": "nfl_kc",
        "name": "Kansas City Chiefs",
        "abbreviation": "KC",
        "city": "Kansas City",
        "platform_ids": {
          "polymarket": "<string>",
          "kalshi": "<string>",
          "prophetx": "<string>",
          "novig": "<string>",
          "sxbet": "<string>"
        },
        "metadata": {
          "logo_url": "<string>",
          "colors": [
            "<string>"
          ],
          "founded": 123,
          "stadium": "<string>"
        },
        "state": "Missouri",
        "conference": "AFC",
        "division": "West"
      }
    ]
  },
  "meta": {
    "request_time": 50
  }
}
{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

league
enum<string>

Specific league to query (optional, returns all if not specified)

Available options:
nfl,
nba,
nhl,
mlb
include_teams
string

Include team information in response

Example:

"true"

Response

League information

data
object
required
meta
object
required